Task (CMDB Model API)
Keywords: com.collation.platform.model.workflow.Task interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.workflow
Interface Task

All Superinterfaces:
  ModelObject, java.io.Serializable

All Known Subinterfaces:
  ParamTask, SystemTask, UserTask

    public interface Task

extends ModelObject

Definition of a workflow task

Naming Rules:
  0="defId"
Persistable:
  true
Table Name:
  TASK
Display Name:
  name

Method Summary
`boolean` | `getConfirmationRequired()`
`TaskData` | `getData()`
`long` | `getDefId()`
`java.lang.String` | `getName()`
`boolean` | `getPermissionRequired()`
`boolean` | `hasConfirmationRequired()`
`boolean` | `hasData()`
`boolean` | `hasDefId()`
`boolean` | `hasName()`
`boolean` | `hasPermissionRequired()`
`void` | `setConfirmationRequired(boolean b)`
`void` | `setData(TaskData data)`
`void` | `setDefId(long id)`
`void` | `setName(java.lang.String name)`
`void` | `setPermissionRequired(boolean b)`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setName

    void setName(java.lang.String name)

### hasName

    boolean hasName()

### getDefId

    long getDefId()
                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDefId

    void setDefId(long id)

### hasDefId

    boolean hasDefId()

### getPermissionRequired

    boolean getPermissionRequired()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setPermissionRequired

    void setPermissionRequired(boolean b)

### hasPermissionRequired

    boolean hasPermissionRequired()

### getConfirmationRequired

    boolean getConfirmationRequired()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setConfirmationRequired

    void setConfirmationRequired(boolean b)

### hasConfirmationRequired

    boolean hasConfirmationRequired()

### getData

    TaskData getData()
                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Containment Relationship:
    true

### setData

    void setData(TaskData data)

### hasData

    boolean hasData()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD